<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TangentSpaceCalc.html">TangentSpaceCalc</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TangentSpaceCalc Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a2965369008d8f05f57baf4bb0ab129b3">addFaceTangentSpaceToVertices</a>(size_t indexSet, size_t faceIndex, size_t *localVertInd, const Vector3 &amp;faceTsU, const Vector3 &amp;faceTsV, const Vector3 &amp;faceNorm, Result &amp;result)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#aa15868f47d97e86805e75ee53ffe66a2">addIndexData</a>(IndexData *i_in, RenderOperation::OperationType opType=RenderOperation::OT_TRIANGLE_LIST)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a57b5fd6b859dd9378bcebeb6882352d1">build</a>(VertexElementSemantic targetSemantic=VES_TANGENT, unsigned short sourceTexCoordSet=0, unsigned short index=1)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a926e76d7223a2b854e76d41c51edce21">calculateAngleWeight</a>(size_t v0, size_t v1, size_t v2)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a4c50121180da61a28823d2977c38da05">calculateFaceTangentSpace</a>(const size_t *vertInd, Vector3 &amp;tsU, Vector3 &amp;tsV, Vector3 &amp;tsN)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#af8fa9bc6805c21d5744f5b8249205aa9">calculateParity</a>(const Vector3 &amp;u, const Vector3 &amp;v, const Vector3 &amp;n)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#afd150caf2af93ec05fcbc836641e894a">clear</a>()</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a80025c208b8c1dc0b5e7538f8032bffb">extendBuffers</a>(VertexSplits &amp;splits)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#ae67135b8fe3fde96af0f915bd36412cd">getSplitMirrored</a>() const </td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a3368c291e9891b0022442d7e2e74e1c0">getSplitRotated</a>() const </td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a00fec0ad7040d961755ad4300f848f3a">getStoreParityInW</a>() const </td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a5aa76640242555497cf5decebb2eee97">IndexDataList</a> typedef</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a2ac32473675f968018e1dee1cbcf9cbe">IndexRemapList</a> typedef</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a45ef735b4e542577a365f6788842b86a">insertTangents</a>(Result &amp;res, VertexElementSemantic targetSemantic, unsigned short sourceTexCoordSet, unsigned short index)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a7abe610c2dbc8256421979bc6e63ce47">mIDataList</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a3a17076d70074dabd0884b14efaed6d0">mOpTypes</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a17e748a306d6e8aa655573f425b1ee98">mSplitMirrored</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a09fcd46e2d234c9c967a394c96ed608c">mSplitRotated</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a648fd36164397e42547bd3758018245d">mStoreParityInW</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#ada66de0f26b1df7521fc8f20dbda4718">mVData</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a43bd62c359203f882604b685b8a71176">mVertexArray</a></td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#aaf104c5bfe7a899f56607897c9845a0e">normaliseVertices</a>()</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a2cab27a58be8085742707d309d52a493">OpTypeList</a> typedef</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#affc29e9f91980dd54526d45d23eedaf5">populateVertexArray</a>(unsigned short sourceTexCoordSet)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a16318a450378eacfcdfe19bc8b06ad78">processFaces</a>(Result &amp;result)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a8c6c1cd8f15dc31c59dae94de5de8842">remapIndexes</a>(Result &amp;res)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#ab929ed3076f728b804f2115cd5f48853">remapIndexes</a>(T *ibuf, size_t indexSet, Result &amp;res)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a43107313dd9e1fefb5a0f0760792ac45">setSplitMirrored</a>(bool split)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a3b9ef4ec951f3a95e40697d7c6637a7d">setSplitRotated</a>(bool split)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a637794857196e7b6bec4974b97ee5a50">setStoreParityInW</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#aac1530e73ac67068755e65063965fe98">setVertexData</a>(VertexData *v_in)</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a33eeb35f74cfa2d2c90ab7b138763752">TangentSpaceCalc</a>()</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#af5204c42a779f3f8a71a8f06b4000d2b">VertexInfoArray</a> typedef</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#af7248e9a56104604d70decacbddc24b6">VertexSplit</a> typedef</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#abd646b98a45056f1251b49cf34881b51">VertexSplits</a> typedef</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html#af77985c55f78fb23bb3346c0ecef4743">~TangentSpaceCalc</a>()</td><td><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
